Docs/API/Tasks

Tasks API.

A task is the smallest unit of trackable work on wrxstack. Every task is a node on the work graph; relationships to other artifacts are first-class.

Endpoints

MethodPathDescription
POST/v1/tasksCreate a task
GET/v1/tasksList tasks
GET/v1/tasks/{id}Get a task
PATCH/v1/tasks/{id}Update a task
POST/v1/tasks/{id}/completeMark complete
POST/v1/tasks/{id}/commentAppend a comment

Create

curl -X POST https://api.wrxstack.com/v1/tasks   -H "Authorization: Bearer $WRX_API_KEY"   -H "Idempotency-Key: $(uuidgen)"   -H "Content-Type: application/json"   -d '{
    "title":   "Review MSA from Acme",
    "assignee":"priya@acme.com",
    "due":     "2026-05-22",
    "labels":  ["legal","priority"],
    "about":   ["acc_01HQ3K..."]
  }'
{
  "id": "tsk_01HQ3K...",
  "title": "Review MSA from Acme",
  "status": "open",
  "assignee": "priya@acme.com",
  "due": "2026-05-22",
  "labels": ["legal","priority"],
  "about": ["acc_01HQ3K..."],
  "created_at": "2026-05-17T15:14:22Z",
  "url": "https://tasks.acme.wrxstack.com/t/tsk_01HQ3K..."
}

List with filters

curl "https://api.wrxstack.com/v1/tasks?status=open&assignee=priya@acme.com&limit=20"   -H "Authorization: Bearer $WRX_API_KEY"

Common filters: status, assignee, label, about, created_since, due_before.

Update

curl -X PATCH https://api.wrxstack.com/v1/tasks/tsk_01HQ3K...   -H "Authorization: Bearer $WRX_API_KEY"   -H "Content-Type: application/json"   -d '{ "assignee": "kevin@acme.com", "labels": ["legal","priority","escalated"] }'

Python

from wrxstack import Client

client = Client()
task = client.tasks.create(
    title="Review MSA from Acme",
    assignee="priya@acme.com",
    due="2026-05-22",
    labels=["legal", "priority"],
    about=["acc_01HQ3K..."],
)
print(task.id, task.url)

TypeScript

import { Client } from "wrxstack";
const client = new Client();

const task = await client.tasks.create({
  title: "Review MSA from Acme",
  assignee: "priya@acme.com",
  due: "2026-05-22",
  labels: ["legal", "priority"],
  about: ["acc_01HQ3K..."],
});

Errors

CodeHTTPMeaning
task_not_found404No such id
assignee_unknown400Assignee is not a user in the workspace
about_unknown400One of the referenced node ids does not exist